package com.example.myapplication;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        AndersWidget aw = findViewById(R.id.andersWidget);
        aw.setText("Anna");
        final EmailValidator ev = findViewById(R.id.view3);
        ev.setValidator(new Validator() {
            @Override
            public boolean isValid(String input) {
                return input.contains("@yahoo.com");
            }

            @Override
            public String getValidText() {
                return "Get gmail instead";
            }

            @Override
            public String getInvalidText() {
                return "Good for you";
            }
        });
        ev.setListener(new EmailValidatorListener() {
            @Override
            public void isValid(boolean valid) {
                if(valid ){
                    //enable login in
                    String email = ev.getEmail();
                }
                else {
                    //hide login
                }
            }
        });
    }
}